Package com.independentsoft.office.themes

# Class TextDefault

java.lang.Object
com.independentsoft.office.themes.TextDefault

public class TextDefault extends Object
The Class TextDefault.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextDefault()`
  Instantiates a new text default.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextDefault`
  `clone()`
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`a:extLst`).
  `ShapeProperties`
  `getShapeProperties()`
  Gets the shape properties.
  `ShapeStyle`
  `getStyle()`
  Gets the style.
  `TextBodyProperties`
  `getTextBodyProperties()`
  Gets the text body properties.
  `TextListStyle`
  `getTextListStyle()`
  Gets the text list style.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`a:extLst`).
  `void`
  `setStyle​(ShapeStyle style)`
  Sets the style.
  `void`
  `setTextListStyle​(TextListStyle textListStyle)`
  Sets the text list style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextDefault

    public TextDefault()
    Instantiates a new text default.

- ## Method Details

  - ### clone

    public TextDefault clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getTextBodyProperties

    public TextBodyProperties getTextBodyProperties()
    Gets the text body properties.
    Returns:
      the text body properties

  - ### getTextListStyle

    public TextListStyle getTextListStyle()
    Gets the text list style.
    Returns:
      the text list style

  - ### setTextListStyle

    public void setTextListStyle​(TextListStyle textListStyle)
    Sets the text list style.
    Parameters:
      `textListStyle` - the new text list style

  - ### getShapeProperties

    public ShapeProperties getShapeProperties()
    Gets the shape properties.
    Returns:
      the shape properties

  - ### getStyle

    public ShapeStyle getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ShapeStyle style)
    Sets the style.
    Parameters:
      `style` - the new style